Bug 31989 - TexLive сильно устарел.
: TexLive сильно устарел.
Status: NEW
: New/proposed packages
(All bugs in New/proposed packages/Обычный репозиторий)
: не указана
: all Linux
: P3 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2016-04-18 11:45 by
Modified: 2017-02-18 20:03 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2016-04-18 11:45:48
В репозитории пылится TexLive 2008-го года выпуска, тогда как последняя версия
вышла в 2015.
Вполне вероятно, что с этим связан баг Bug 31420.
Данный баг похож на Bug 20735, но тот для p5.

Лично мне это не позволяет воспользоваться актуальной версией
https://github.com/AndreyAkinshin/Russian-Phd-LaTeX-Dissertation-Template

Был бы рад обновлению.
------- Comment #1 From 2016-04-18 12:02:09 -------
неофициальная сборка 2014 есть здесь:
http://autoextra.altlinux.org/pub/ALTLinux/texlive/Sisyphus
------- Comment #2 From 2016-04-18 23:24:26 -------
(В ответ на комментарий №1)
> неофициальная сборка 2014 есть здесь:
> http://autoextra.altlinux.org/pub/ALTLinux/texlive/Sisyphus

Круто, наверное...
Я не очень опытный установщик с использованием rpm, но поглядел по ссылке. И
решил, что мне нужен один пакет *.src.rpm, а не куча отдельных *.rpm,  с
которыми мне не ясно что делать (в какой последовательности что ставить...).
Потому скачал сорсы, воспользовался инструкцией:
https://www.altlinux.org/%D0%98%D0%BD%D1%81%D1%82%D1%80%D1%83%D0%BA%D1%86%D0%B8%D1%8F_%D0%BF%D0%BE_%D1%81%D0%B1%D0%BE%D1%80%D0%BA%D0%B5_%D0%BF%D0%B0%D0%BA%D0%B5%D1%82%D0%BE%D0%B2_%D1%81_%D0%BF%D0%BE%D0%BC%D0%BE%D1%89%D1%8C%D1%8E_rpm
Доставил rpm-build-texmf в ответ на сообщение об ошибке при сборке, затем
жахнул apt-get build-dep для сорцов, но получил
E: Build-Depends dependency for
/home/username/Загрузки/texlive-2014-alt1_2.20140525_r34255.src.rpm cannot be
satisfied because the package perl(IPC/System/Simple.pm) cannot be found
У меня 3.14.65-std-def-alt0.M70P.1 ядро (видимо, это 7.0.5, но точно могу
сказать только, что стоит KDesktop 7) и видимо, чего-то в 7-й платформе не
хватает.
------- Comment #3 From 2016-04-18 23:30:12 -------
сейчас выходит p8/t8, к нему должно подойти.
------- Comment #4 From 2016-04-18 23:38:38 -------
Восьмерка пока выйдет, пока устаканится и стабилизируется понемногу...
Есть 2 причины создания этого бага:
1. Напоминание о latex и пожелание увидеть более новую версию в 8-е.
2. Узнать, стоит ли дожидаться обновления пакета на 7-е.
Потому насущным для меня вопросом является следующий: "Имеет ли смысл ждать,
возможно, скорого его обновления под 7-й или лучше самому читать инструкцию
сборки texlive из исходников и пробовать собрать его ручками?"
------- Comment #5 From 2016-04-19 00:24:38 -------
(В ответ на комментарий №4)
> Восьмерка пока выйдет, пока устаканится и стабилизируется понемногу...
> Есть 2 причины создания этого бага:
> 1. Напоминание о latex и пожелание увидеть более новую версию в 8-е.

и я хочу, только, похоже, кроме меня некому, а руки пока не доходят.

> 2. Узнать, стоит ли дожидаться обновления пакета на 7-е.

я не планирую.

> Потому насущным для меня вопросом является следующий: "Имеет ли смысл ждать,
> возможно, скорого его обновления под 7-й или лучше самому читать инструкцию
> сборки texlive из исходников и пробовать собрать его ручками?"

texlive есть в официальных бинарниках, собран работать под большинством
дистрибутивов, его можно в ~ или в /opt
распаковать, пока суд да дело.

https://www.tug.org/texlive/quickinstall.html
------- Comment #6 From 2016-04-23 21:45:22 -------
(В ответ на комментарий №5)
> texlive есть в официальных бинарниках, собран работать под большинством
> дистрибутивов, его можно в ~ или в /opt
> распаковать, пока суд да дело.
> 
> https://www.tug.org/texlive/quickinstall.html

Спасибо за ссылку. Я последовал инструкции и успешно установил texlive - всё
работает.